﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Vaca : MonoBehaviour
{
    public List<Transform> waypoints;
    public Animator anim;
    public SpriteRenderer enemysprite;
    public float speed;
    public float threshold;
    public bool isGoing;
    public int currentIndex = 0;
    float tiempo;


    private void Update()
    {
        tiempo += Time.deltaTime;

        Transform current = waypoints[currentIndex];
        transform.position += (current.position - transform.position).normalized * speed * Time.deltaTime;

        if (Vector3.Distance(transform.position, current.position) <= threshold)
        {
            if (isGoing)
            {
                currentIndex++;
                if (currentIndex >= waypoints.Count)
                {
                    isGoing = false;
                    currentIndex = waypoints.Count - 1;
                    enemysprite.flipX = true;
                }
            }
            else
            {
                currentIndex--;
                if (currentIndex < 0)
                {
                    isGoing = true;
                    currentIndex = 0;
                    enemysprite.flipX = false;
                }
            }
        }

        if (tiempo < 6.3f)
        {
            speed = 0f;
            anim.SetBool("run", true);
        }
        if(tiempo > 6.3f)
        {
            speed = 0.1f;
            anim.SetBool("run", false);
        }
        if(tiempo > Random.Range(13f, 600))
        {
            tiempo = 0;
        }


    }

}
